<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:altova="http://www.altova.com" exclude-result-prefixes="fn link xbrldi xbrli xdt xlink xs xsi">
  <xsl:output version="4.0" method="html" indent="yes" omit-xml-declaration="no" encoding="windows-1251" media-type="text/html"/>
  <xsl:param name="SV_OutputFormat" select="'HTML'"/>
  <xsl:variable name="XML" select="/"/>
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <link rel="Stylesheet" type="text/css" href="../html/style.css"/>
      </head>
      <body>
        <xsl:for-each select="$XML">
          <table style="border:none; font-size:8pt; line-height:1; " border="1" cellspacing="0" width="100%">
            <xsl:variable name="altova:CurrContextGrid_06D0B020" select="."/>
            <tbody>
              <tr style="height:41px; ">
                <td style="border:none; ">
                  <span style="font-weight:bold; ">
                    <h4>Отчет по документам НП</h4>
                  </span>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:bottom;" >
                  <xsl:for-each select="Сообщение/Отправитель">
                    <span>
                      <b>От кого:</b>
                      <a>
                        <xsl:attribute name="href">
                          #cc_action_EDIT_ABONENT <xsl:value-of select="@Id"/>
                        </xsl:attribute>
                        <xsl:text> </xsl:text>
                        <xsl:value-of select="@Наименование"/>
                      </a>
                    </span>
                    <br />
                    <xsl:text> </xsl:text>
                  </xsl:for-each>
                  <xsl:for-each select="Сообщение/Получатель">
                    <span>
                      <b>Кому:</b>
                      <a>
                        <xsl:attribute name="href">
                          #cc_action_EDIT_ABONENT <xsl:value-of select="@Id"/>
                        </xsl:attribute>
                        <xsl:text> </xsl:text>
                        <xsl:value-of select="@Наименование"/>
                      </a>
                    </span>
                    <br/>
                  </xsl:for-each>
                  <xsl:if test="count(/Сообщение/MailAttachmentName)>0">
                    <span>
                      <b>Имя файла транспортного контейнера:</b>
                      <xsl:text> </xsl:text>
                      <xsl:value-of select="/Сообщение/MailAttachmentName"/>
                    </span>
                    <br/>
                  </xsl:if>
                  <xsl:for-each select="Сообщение/Инфо">
                    <span>
                      <b>Имя файла: </b>
                      <xsl:value-of select="@ИмяФайла"/>
                    </span>
                  </xsl:for-each>
                  <hr />
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:bottom; ">
                  <span style="font-weight:bold; color:green; font-size:10pt; ">
                    <xsl:text>&#160; Параметры запроса </xsl:text>
                  </span>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:bottom; ">
                  <xsl:if test="string-length(Сообщение/Документ/DateFrom)>0">
                    <b>&#160; За период: с </b>
                    <xsl:value-of select="Сообщение/Документ/DateFrom"/>
                    <b> по </b>
                    <xsl:value-of select="Сообщение/Документ/DateTo"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/sndName)>0">
                    <b>&#160; Имя отправителя: </b>
                    <xsl:value-of select="Сообщение/Документ/sndName"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/sndCode)>0">
                    <b>&#160; Код отправителя: </b>
                    <xsl:value-of select="Сообщение/Документ/sndCode"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="count(Сообщение/Документ/presentType)>0">
                    <b>&#160; Тип представления: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/presentType, 'any')">
                        Любой
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/presentType, 'direc')">
                        Напрямую
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/presentType, 'sos')">
                        Через СОС
                      </xsl:when>
                      <xsl:otherwise>

                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/docType)>0">
                    <b>&#160; Тип документов: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/docType, 0)">
                        Все
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/docType, 1)">
                        НБО
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/docType, 2)">
                        Неформализованный
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/docType, 6)">
                        Запрос по ИОН
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/docType, 8)">
                        2НДФЛ
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/docType, 9)">
                        Запросы на выписку
                      </xsl:when>
                      <xsl:otherwise>

                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/status)>0">
                    <b>&#160; Статус: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'any')">
                        Любой
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'notDeliv')">
                        Не доставлен в ФНС
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'deliv')">
                        Доставлен в ФНС
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'receiveFNS')">
                        Принят ФНС
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'eod_ok ')">
                        Принят ЭОД
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'eod_uu ')">
                        Требует уточнения
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'rejected')">
                        Отвергнут ЭОД
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/status, 'error')">
                        Ошибка
                      </xsl:when>
                      <xsl:otherwise>

                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/eodState)>0">
                    <b>&#160; Протокол ЭОД: </b>
                    <xsl:choose>
                      <xsl:when test="starts-with(Сообщение/Документ/eodState, 'any')">
                        Любой
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/eodState, 'eodYES')">
                        С протоколом ЭОД
                      </xsl:when>
                      <xsl:when test="starts-with(Сообщение/Документ/eodState, 'eodNO')">
                        Без протокола ЭОД
                      </xsl:when>
                      <xsl:otherwise>

                      </xsl:otherwise>
                    </xsl:choose>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Получатель/@Наименование)>0">
                    <b>&#160; Имя получателя: </b>
                    <xsl:value-of select="Сообщение/Получатель/@Наименование"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/rcvCode)>0">
                    <b>&#160; Код получателя: </b>
                    <xsl:value-of select="Сообщение/Документ/rcvCode"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Документ/sosName)>0">
                    <b>&#160; Имя СОС: </b>
                    <xsl:value-of select="Сообщение/Документ/sosName"/>
                    <br/>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Инфо/@Дата)>0">
                    <b>&#160; Дата запроса: </b>
                    <xsl:value-of select="Сообщение/Инфо/@Дата"/>
                    <br/>
                  </xsl:if>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:bottom; ">
                  <br/>
                  <span style="font-weight:bold; font-size:10pt; color:green; ">
                    <xsl:text>&#160; Отчет </xsl:text>
                  </span>
                </td>
              </tr>
              <tr>
                <td style="border:none; vertical-align:top; ">
                  <xsl:if test="string-length(Сообщение/Отчет/@датаОтчета)>0">
                    <span style="font-weight:bold; ">
                      <xsl:text>&#160; Дата отчета: </xsl:text>
                    </span>
                  </xsl:if>
                  <xsl:if test="string-length(Сообщение/Отчет/@датаОтчета)>0">
                    <span>
                      <xsl:value-of select="Сообщение/Отчет/@датаОтчета"/>
                    </span>
                  </xsl:if>
                </td>
              </tr>
            </tbody>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
